#!/usr/bin/python3

import sys

import arguments
from tacsrc.tac import readTAC
import grc
import portNaming

if __name__ == "__main__":
    if len(sys.argv) == 1:
        params.exitUsage()
    inputFile = sys.argv[1]
    outputFile, sourceDirectories = arguments.readArguments(sys.argv[2:])
    blocks, connections, blockTypes = readTAC(inputFile)
    portNaming.resolvePortNames(blockTypes, sourceDirectories)
    grc.write(outputFile, blocks, connections)

